Bug 1628026 (CVE-2018-16420) - CVE-2018-16420 opensc: Buffer overflows handling responses from ePass 2003 Cards in card-epass2003.c:decrypt_response()
Summary: CVE-2018-16420 opensc: Buffer overflows handling responses from ePass 2003 Ca...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16420
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1628028 1628029 1630209
Blocks: 1622787
TreeView+ depends on / blocked
 
Reported: 2018-09-12 05:59 UTC by Sam Fowler
Modified: 2019-09-29 14:58 UTC (History)
6 users (show)

Fixed In Version: opensc 0.19.0-rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2154 None None None 2019-08-06 12:21:55 UTC

Description Sam Fowler 2018-09-12 05:59:01 UTC
Several buffer overflows when handling responses from an ePass 2003 Card in decrypt_response in libopensc/card-epass2003.c in OpenSC before 0.19.0-rc1 could be used by attackers able to supply crafted smartcards to cause a denial of service (application crash) or possibly have unspecified other impact.


External References:

https://www.x41-dsec.de/lab/advisories/x41-2018-002-OpenSC/


Upstream Patch:

https://github.com/OpenSC/OpenSC/commit/360e95d45ac4123255a4c796db96337f332160ad#diff-b36536074d13447fbbec061e0e64d15d

Comment 1 Sam Fowler 2018-09-12 05:59:29 UTC
Created opensc tracking bugs for this issue:

Affects: fedora-all [bug 1628028]

Comment 4 Richard 2018-12-10 10:34:29 UTC
I verified that the vulnerable code is present in upstream commit 777e2a3751e3f6d53f056c98e9e20e42af674fb1 used by opensc 0:0.16.0-10.20170227git777e2a3.el7 
Should I open a new bug to request a fix for RHEL-7 ?

Comment 5 Richard 2018-12-10 10:45:34 UTC
I'm assuming bug 1628029 is already opened for this which will hopefully be resolved by the rebase in bug 1656791 for RHEL-7.7 ?

Comment 6 errata-xmlrpc 2019-08-06 12:21:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2154 https://access.redhat.com/errata/RHSA-2019:2154

Comment 7 Product Security DevOps Team 2019-08-06 13:19:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16420


Note You need to log in before you can comment on or make changes to this bug.